<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/subject_appbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/ui_surface"
        android:gravity="center"
        app:layout_behavior="com.gh.gamecenter.common.view.FixAppBarLayoutBehavior">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/subject_type_list"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="16dp"
            android:paddingTop="8dp"
            android:paddingBottom="12dp"
            app:layout_scrollFlags="scroll|enterAlwaysCollapsed" />

        <com.gh.common.view.ConfigFilterView
            android:id="@+id/filterView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="gone"
            tools:visibility="visible" />

    </com.google.android.material.appbar.AppBarLayout>

    <FrameLayout
        android:id="@+id/subject_content_rl"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_behavior="@string/appbar_scrolling_view_behavior" />

</androidx.coordinatorlayout.widget.CoordinatorLayout>